# Get a site **GET /eTech/rest/ws/referentials/v1/sites/code:{siteCode}** Return the site object if the `siteCode` exists. Rate limite range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **siteCode** (string) Requested site code, case insensitive. ## Responses ### 200 Site found successfully. #### Body: application/json (object) - **siteCode** (string) Site code. Case insensitive. - **name** (string) Site name. - **customerCode** (string) Related customer code. Case insensitive. - **parentSiteCode** (string | null) Parent site code if any. Case insensitive. - **officeCode** (string) Site office code. Case insensitive. - **contact** (object | null) - **location** (object) - **description** (string | null) Site description if any. - **customFields** (object) Map of custom fields of a site. - **lastUpdate** (string(date-time)) Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API. ### 400 Bad Request - validation errors. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 404 Customer or Site not found. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)